Update a recruiting job alert preference
patch
/hcmRestApi/resources/11.13.18.05/recruitingJobAlertPreferences/{PreferenceId}
Request
Path Parameters
-
PreferenceId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
AugmentationStatus: string
Maximum Length:
30Status of the text augmentation for the job alert preference. -
AugmentedText: string
(byte)
Augmented text generated for the job alert preference.
-
AugmentedTextString: string
String representation of the augmented text for the job alert preference.
-
AugmentedVector: string
(byte)
Vector generated from the augmented text for the job alert preference.
-
AugmentedVectorString: string
String representation of the augmented vector for the job alert preference.
-
Filter: string
(byte)
Search filter criteria for the recruiting job alert preference.
-
GeoLocation: string
(byte)
Geographic location used for the recruiting job alert preference.
-
ObjectVersionNumber: integer
(int32)
Number that identifies the version of the recruiting job alert preference row.
-
PersonId: integer
(int64)
Unique identifier of the person associated with the recruiting job alert preference.
-
ResumeAttachmentId: integer
(int64)
Unique identifier for the resume attachment associated with the job alert preference.
-
SearchText: string
Maximum Length:
4000Search text used to match jobs for the job alert preference. -
SiteNumber: string
Maximum Length:
250Number that identifies the career site for the job alert preference.
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : recruitingJobAlertPreferences-item-response
Type:
Show Source
object-
AugmentationStatus: string
Maximum Length:
30Status of the text augmentation for the job alert preference. -
AugmentedText: string
(byte)
Augmented text generated for the job alert preference.
-
AugmentedTextString: string
String representation of the augmented text for the job alert preference.
-
AugmentedVector: string
(byte)
Vector generated from the augmented text for the job alert preference.
-
AugmentedVectorString: string
String representation of the augmented vector for the job alert preference.
-
CandidatePreferredLanguage: string
Read Only:
trueMaximum Length:255Preferred language of the candidate for job alert communications. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the job alert preference. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the recruiting job alert preference was created. -
Filter: string
(byte)
Search filter criteria for the recruiting job alert preference.
-
GeoLocation: string
(byte)
Geographic location used for the recruiting job alert preference.
-
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the recruiting job alert preference was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who last updated the recruiting job alert preference. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Session login associated with the last update to the recruiting job alert preference. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Number that identifies the version of the recruiting job alert preference row.
-
PersonId: integer
(int64)
Unique identifier of the person associated with the recruiting job alert preference.
-
PreferenceId: integer
(int64)
Unique identifier for the job alert preference.
-
ResumeAttachmentId: integer
(int64)
Unique identifier for the resume attachment associated with the job alert preference.
-
ResumeText: string
Read Only:
trueMaximum Length:4000Text extracted from the resume associated with the job alert preference. -
SearchText: string
Maximum Length:
4000Search text used to match jobs for the job alert preference. -
SiteNumber: string
Maximum Length:
250Number that identifies the career site for the job alert preference.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.